org.firebirdsql.logging

## Interface Logger

-     public interface Logger

  Logger is a facade to hide the logging implementation used from the rest of Jaybird.
  Version:
    1.0
  Author:
    David Jencks, Blas Rodriguez Somoza, Mark Rotteveel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)`
    `void` | `debug(java.lang.String message, java.lang.Throwable t)`
    `void` | `error(java.lang.String message)`
    `void` | `error(java.lang.String message, java.lang.Throwable t)`
    `void` | `fatal(java.lang.String message)`
    `void` | `fatal(java.lang.String message, java.lang.Throwable t)`
    `void` | `info(java.lang.String message)`
    `void` | `info(java.lang.String message, java.lang.Throwable t)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `trace(java.lang.String message)`
    `void` | `trace(java.lang.String message, java.lang.Throwable t)`
    `void` | `warn(java.lang.String message)`
    `void` | `warn(java.lang.String message, java.lang.Throwable t)`

- - ### Method Detail

    - #### isDebugEnabled

          boolean isDebugEnabled()

    - #### debug

          void debug(java.lang.String message)

    - #### debug

          void debug(java.lang.String message,
                     java.lang.Throwable t)

    - #### isTraceEnabled

          boolean isTraceEnabled()

    - #### trace

          void trace(java.lang.String message)

    - #### trace

          void trace(java.lang.String message,
                     java.lang.Throwable t)

    - #### isInfoEnabled

          boolean isInfoEnabled()

    - #### info

          void info(java.lang.String message)

    - #### info

          void info(java.lang.String message,
                    java.lang.Throwable t)

    - #### isWarnEnabled

          boolean isWarnEnabled()

    - #### warn

          void warn(java.lang.String message)

    - #### warn

          void warn(java.lang.String message,
                    java.lang.Throwable t)

    - #### isErrorEnabled

          boolean isErrorEnabled()

    - #### error

          void error(java.lang.String message)

    - #### error

          void error(java.lang.String message,
                     java.lang.Throwable t)

    - #### isFatalEnabled

          boolean isFatalEnabled()

    - #### fatal

          void fatal(java.lang.String message)

    - #### fatal

          void fatal(java.lang.String message,
                     java.lang.Throwable t)

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.